package cross_variety

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

// ChartInfoCrossVariety
// @Description: 跨品种分析配置表
type ChartInfoCrossVariety struct {
	Id             int       `orm:"column(id);pk"`
	ChartInfoId    int       `description:"图表id"`
	ChartXTagId    int       `description:"X轴的标签ID"`
	ChartYTagId    int       `description:"X轴的标签ID"`
	CalculateValue int       `description:"计算窗口"`
	CalculateUnit  string    `description:"计算频度"`
	ModifyTime     time.Time `description:"修改时间"`
	CreateTime     time.Time `description:"创建时间"`
}

func GetChartInfoCrossVarietyList(startSize, pageSize int) (items []*ChartInfoCrossVariety, err error) {
	o := orm.NewOrmUsingDB("data")
	sql := ` SELECT * FROM chart_info_cross_variety WHERE 1=1 `
	sql += " LIMIT ?,? "
	_, err = o.Raw(sql, startSize, pageSize).QueryRows(&items)
	return
}

func GetChartInfoCrossVarietyTotal() (total int, err error) {
	o := orm.NewOrmUsingDB("data")
	sql := `SELECT count(*) FROM chart_info_cross_variety`
	err = o.Raw(sql).QueryRow(&total)
	return
}
